/********************************************************************************************************\

	File Name:	CommonDreadnought.cpp
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#include "MissionText.h"
#include "CommonDefs.h"
#include "CommonDreadnought.h"
#include "CommonDreadnoughtBaseState.h"
#include "TeamInfo.h"

tClassAllocator<tCommonDreadnought> gCommonDreadnoughtAllocator;

void tCommonDreadnought::mSetupState()
{
	mRegisterState( new tCommonDreadnoughtBaseState() );
	mGotoState( typeid( tCommonDreadnoughtBaseState ) );
}
void tCommonDreadnought::mSetupCommState()
{}
void tCommonDreadnought::mSetupShip()
{
	mSetShipCallbackEvents( kNotifyDamage );

	tTeamInfo*	CommonTeam = fMissionInfo->mGetTeamHandle( mGetTeam() );
	Assert( CommonTeam );
	if ( !CommonTeam )
		return;

	if ( CommonTeam->mIsTeamHumanControlled() )
		mSetShipPlayerControlled();

	mSetTargetable( kFalse );
}


