/********************************************************************************************************\

	File Name:	Mul_5Battlefest.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/


#if !defined( Mul_BattlefestLite_h )
#define Mul_BattlefestLite_h

#include "ShipList.h"
#include "ScriptInterface.h"

//---------------------------------------------------------------------------------------------
// the following enum is used to identify all non-player teams in the script
// (use kPlayerTeam to access the current players team.)
enum eTeamTypes
{};

class tVictoryCondition;

class tMul_3Battlefest : public tScript
{
public:
	enum eCommStates
	{};

	tMul_3Battlefest();

	virtual void	mStartMission();
	virtual int32	mInitializeStart( tDynaverseScriptInfo& info );
	virtual void	mCreateExternalShips( int32 Mode );
	virtual int32	mInitializeFinished();
	virtual void	mNewInternalShip( tShipInfo* Ship );
	virtual void	mScriptSpecs( tMissionSpec* Specs );
	virtual void	mNewTeam( const tTeamScriptDescription& teamScriptDescription );
	virtual void	mASCIIOverrides( tMapOverrides* Map );

protected:
	tVictoryCondition* fVictoryCondition;
};


extern ShipList global_sl;
extern ShipList narrowed_sl;

#ifdef FIGHTERS
extern ShipList fighter_sl;
extern ShipList narrowed_fighter_sl;
#endif

extern ShipList sl_array[12][kNumPlayableRaces][7]; // array of lists [teams][races][classes]
extern ShipList sl_array_backup[12][kNumPlayableRaces][7];

extern int32 ShipListComplete;
extern int32 AIsCreated;


#define DEBUGOUT 0

#endif

