/********************************************************************************************************\

	File Name:	worldconditions.h
	Descript:	<DESCRIPTION>

\********************************************************************************************************/

#if !defined( WorldConditions_h )
#define WorldConditions_h



class tWorldConditions
{
public:

	tWorldConditions();
	
public:

	enum
	{
		kNumStartingPositions = 12,
	};
	iMapPosition	mGenerateRandomStartPosition( void );
	iTruth			fPosUsed[kNumStartingPositions];	

public:

	void	mCheckForGameEnd( void );

	bool	mFrigateDestroyed( int x );
	bool	mDestroyerDestroyed( int x );
	bool	mLightCruiserDestroyed( int x );
	bool	mHeavyCruiserDestroyed( int x );
	bool	mHeavyBattlecruiserDestroyed( int x );
	bool	mDreadnoughtDestroyed( int x );
	bool	mBattleshipDestroyed( int x );
	bool	mTeamWon( int x );
	int32	mNumTeamsLost( void );
	void	mSetFrigateDestroyed( int x, bool y );
	void	mSetDestroyerDestroyed( int x, bool y );
	void	mSetLightCruiserDestroyed( int x, bool y );
	void	mSetHeavyCruiserDestroyed( int x, bool y );
	void	mSetHeavyBattlecruiserDestroyed( int x, bool y );
	void	mSetDreadnoughtDestroyed( int x, bool y );
	void	mSetBattleshipDestroyed( int x, bool y );
	void	mSetTeamWon( int x, bool y );
	void	mIncreaseTeamsLost( void );

	int32	fNumTeams;

private:

	bool	fFrigateDestroyed[kMaxTeams];
	bool	fDestroyerDestroyed[kMaxTeams];
	bool	fLightCruiserDestroyed[kMaxTeams];
	bool	fHeavyCruiserDestroyed[kMaxTeams];
	bool	fHeavyBattlecruiserDestroyed[kMaxTeams];
	bool	fDreadnoughtDestroyed[kMaxTeams];
	bool	fBattleshipDestroyed[kMaxTeams];
	bool	fTeamWon[kMaxTeams];
	int32	fNumTeamsLost;
};

extern tWorldConditions gWC;

#endif